com.thinkaurelius.titan.core.attribute

## Enum Geo

- java.lang.Object
- - java.lang.Enum<Geo>
  - - com.thinkaurelius.titan.core.attribute.Geo

- All Implemented Interfaces:
    TitanPredicate, com.tinkerpop.blueprints.Predicate, Serializable, Comparable<Geo>

      public enum Geo
      extends Enum<Geo>
      implements TitanPredicate

  Comparison relations for geographic shapes.
  Author:
    Matthias Broecheler (me@matthiasb.com)

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.thinkaurelius.titan.graphdb.query.TitanPredicate

      `TitanPredicate.Converter`

  - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DISJOINT` Whether the intersection between two geographic regions is empty
    `INTERSECT` Whether the intersection between two geographic regions is non-empty
    `WITHIN` Whether one geographic region is completely contains within another

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isQNF()` Returns true if this predicate is in query normal form.
    `boolean` | `isValidCondition(Object condition)` Whether the given condition is a valid condition for this predicate.
    `boolean` | `isValidValueType(Class<?> clazz)` Whether the given class is a valid data type for a value to which this predicate may be applied.
    `static Geo` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Geo[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.thinkaurelius.titan.graphdb.query.TitanPredicate

      `evaluate, hasNegation, negate`

- - ### Enum Constant Detail

    - #### INTERSECT

          public static final Geo INTERSECT

      Whether the intersection between two geographic regions is non-empty

    - #### DISJOINT

          public static final Geo DISJOINT

      Whether the intersection between two geographic regions is empty

    - #### WITHIN

          public static final Geo WITHIN

      Whether one geographic region is completely contains within another

  - ### Method Detail

    - #### values

          public static Geo[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Geo c : Geo.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Geo valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### isValidCondition

          public boolean isValidCondition(Object condition)

      Description copied from interface: `TitanPredicate`
      Whether the given condition is a valid condition for this predicate. For instance, the `Cmp.GREATER_THAN` would require that the condition is comparable and not null.
      Specified by:
        `isValidCondition` in interface `TitanPredicate`
      Returns:

    - #### isValidValueType

          public boolean isValidValueType(Class<?> clazz)

      Description copied from interface: `TitanPredicate`
      Whether the given class is a valid data type for a value to which this predicate may be applied. For instance, the `Cmp.GREATER_THAN` can only be applied to `Comparable` values.
      Specified by:
        `isValidValueType` in interface `TitanPredicate`
      Returns:

    - #### isQNF

          public boolean isQNF()

      Description copied from interface: `TitanPredicate`
      Returns true if this predicate is in query normal form.
      Specified by:
        `isQNF` in interface `TitanPredicate`
      Returns:

Copyright © 2012–2014. All rights reserved.